Ticket #42318

civ1: Remove TODO comment about traderoute cancel

Open Date: 2021-05-19 13:13 Last Update: 2021-06-30 18:47

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

civ1 ruleset currently has TODO comment:

; TODO: Whats correct "cancelling" behavior for civ1? If you have established ; traderoute with enemy city nearby and conquer it -> what happens to traderoute ; between your cities with less than trademindist distance?

meynaf tells that our current "Cancel" behavior is correct: http://forum.freeciv.org/f/viewtopic.php?f=15&t=597&start=99 Update the comment to reflect that.

Ticket History (3/5 Histories)

2021-05-19 13:13 Updated by: cazfi
  • New Ticket "civ1: Remove TODO comment about traderoute cancel" created
2021-05-29 12:10 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-06-25 11:45 Updated by: cazfi
2021-06-30 18:47 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login